
From: NeilBrown <neilb@cse.unsw.edu.au>

The pg_authenticate (now pg_authenticate_obsolete) callback was only being
used by the nfs4 client callback code to circumvent the svcauth_unix code's
insistence on checking all requests against the export table.  With that
problem solved, we no longer need it.

Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/sunrpc/svc.h |    2 --
 25-akpm/net/sunrpc/svc.c           |    5 +----
 2 files changed, 1 insertion(+), 6 deletions(-)

diff -puN include/linux/sunrpc/svc.h~nfsd--nfsd-remove-pg_authenticate-field include/linux/sunrpc/svc.h
--- 25/include/linux/sunrpc/svc.h~nfsd--nfsd-remove-pg_authenticate-field	2005-02-07 19:19:11.000000000 -0800
+++ 25-akpm/include/linux/sunrpc/svc.h	2005-02-07 19:19:11.000000000 -0800
@@ -251,8 +251,6 @@ struct svc_program {
 	char *			pg_name;	/* service name */
 	char *			pg_class;	/* class name: services sharing authentication */
 	struct svc_stat *	pg_stats;	/* rpc statistics */
-	/* Override authentication. NULL means use default */
-	int			(*pg_authenticate_obsolete)(struct svc_rqst *, u32 *);
 	int			(*pg_authenticate)(struct svc_rqst *);
 };
 
diff -puN net/sunrpc/svc.c~nfsd--nfsd-remove-pg_authenticate-field net/sunrpc/svc.c
--- 25/net/sunrpc/svc.c~nfsd--nfsd-remove-pg_authenticate-field	2005-02-07 19:19:11.000000000 -0800
+++ 25-akpm/net/sunrpc/svc.c	2005-02-07 19:19:11.000000000 -0800
@@ -315,10 +315,7 @@ svc_process(struct svc_serv *serv, struc
 	 * We do this before anything else in order to get a decent
 	 * auth verifier.
 	 */
-	if (progp->pg_authenticate_obsolete != NULL)
-		auth_res = progp->pg_authenticate_obsolete(rqstp, &auth_stat);
-	else
-		auth_res = svc_authenticate(rqstp, &auth_stat);
+	auth_res = svc_authenticate(rqstp, &auth_stat);
 	/* Also give the program a chance to reject this call: */
 	if (auth_res == SVC_OK) {
 		auth_stat = rpc_autherr_badcred;
_
